Update thumbnail via upload

Use any image file to use as thumbnail. Once you use the API, you will get upload_url in the response, and that can be used to upload the image file.

Here is the sample curl request.

curl --location --request PUT '<upload_url>' \
--data '<YOUR_FILE_PATH>'
Path Parameters
  • asset_ID
    Type: string
    required

    An asset id for the previously created asset.

Responses
  • application/json
  • application/json
Request Example for post/video/assets/{asset_ID}/thumbnail
import Gumlet from '@gumlet/nodejs-sdk';

const client = new Gumlet({
  apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});

const videoAsset = await client.videoAssets.thumbnailUpload('assetId');

console.log(videoAsset);
{
  "upload_url": "URL",
  "asset_id": "asset_id"
}